#include <TObject.h>
#include <TClonesArray.h>

class Hit;

class Track;

class Event : public TObject {

 public:
  TClonesArray * hits;
  TClonesArray * tracks;
  Int_t num_hits = 0;
  Int_t num_tracks = 0;
  
  Event();
  
  Hit * AddHit();

  Track * AddTrack();

  void RemoveTrack(Track * track);

  ClassDef(Event, 1)
};
