#include "Event.h"

#include <TObject.h>
#include <TClonesArray.h>
#include "Hit.h"
#include "Track.h"

ClassImp(Event)

Event::Event() {
  hits = new TClonesArray("Hit", 100);
  tracks = new TClonesArray("Track", 100);
}

Hit * Event::AddHit() {
  new((*hits)[num_hits++]) Hit();
  return (Hit*) hits->Last();
}

Track * Event::AddTrack() {
  new((*tracks)[num_tracks++]) Track();
  return (Track*) tracks->Last();
}

void Event::RemoveTrack(Track * track) {
  tracks->Remove((TObject *) track);
}
